#if !defined(AFX_DLGDOWNLOAD_H__856D8589_9FEE_4BED_9158_76BDDED610FA__INCLUDED_)
#define AFX_DLGDOWNLOAD_H__856D8589_9FEE_4BED_9158_76BDDED610FA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgDownload.h : header file
//
class CNetPlayXCtrl;

/////////////////////////////////////////////////////////////////////////////
// CDlgDownload dialog

class CDlgDownload : public CDialog
{
// Construction
public:
	CNetPlayXCtrl	*m_pParent;
	void OnFileDownloadFinish();
	void OnFileDownload(float downloadpos);
	CDlgDownload(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDlgDownload)
	enum { IDD = IDD_DLG_DOWNPROCESS };
	CProgressCtrl	m_progress;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgDownload)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgDownload)
	virtual void OnOK();
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGDOWNLOAD_H__856D8589_9FEE_4BED_9158_76BDDED610FA__INCLUDED_)
